Displaying 20 results from an estimated 29 matches for "stop_log".
Did you mean:
show_log
2009 Jun 04
1
[PATCH node] Hostname is now properly persisted between reboots. rhbz#504166
...unctions | 11 ++++++++++-
2 files changed, 20 insertions(+), 4 deletions(-)
diff --git a/scripts/ovirt-config-hostname b/scripts/ovirt-config-hostname
index cad0270..ac8cdf1 100755
--- a/scripts/ovirt-config-hostname
+++ b/scripts/ovirt-config-hostname
@@ -8,6 +8,13 @@
trap '__st=$?; stop_log; exit $__st' 0
trap 'exit $?' 1 2 13 15
+warn() { printf '%s\n' "$*" >&2; }
+
+if ! is_local_storage_configured; then
+ warn "Local storage must be configured prior to setting the hostname."
+ exit 99
+fi
+
HOSTNAME_FILE="/etc/sysconfig/...
2010 Mar 23
1
[PATCH node][RFC] Remove dependencies on /dev/disk/by-label entries
...return $rc
fi
- mount $candidate_dev /liveos
+ mount $candidate_dev /liveos/
rm -rf /liveos/LiveOS
mkdir -p /liveos/LiveOS
@@ -212,11 +219,7 @@ if [ $rc -eq 0 -a "$doreboot" = "yes" ]; then
ovirt_store_firstboot_config
stop_log
- if [ "$OVIRT_ISCSI_ENABLED" != "y" ]; then
- reboot
- else
- /sbin/reboot
- fi
+ reboot
fi
stop_log
exit $rc
diff --git a/scripts/ovirt-config-storage b/scripts/ovirt-config-storage
index c6473a6..93b94b0 100755
--- a/scripts/ovirt-config-storage...
2009 Jul 22
1
[PATCH][NODE] Cleanup old bridges when re-running o-c-networking
...ripts/ovirt-config-networking | 5 +++++
1 files changed, 5 insertions(+), 0 deletions(-)
diff --git a/scripts/ovirt-config-networking b/scripts/ovirt-config-networking
index cc7626b..837d493 100755
--- a/scripts/ovirt-config-networking
+++ b/scripts/ovirt-config-networking
@@ -515,5 +515,10 @@ stop_log
if [ "$net_configured" = 1 ]; then
service network stop > /dev/null 2>&1
+ for i in `brctl show | grep breth | awk '{print $1}'`
+ do
+ ifconfig $i down
+ brctl delbr $i
+ done
service network start
fi
--
1.6.2.5
2009 Sep 08
2
[PATCH node] Add support for automatic remote logging on PXE ovirt-node
...find_srv qpidd tcp
if [ -n "$SRV_HOST" -a -n "$SRV_PORT" ]; then
diff --git a/scripts/ovirt-config-logging b/scripts/ovirt-config-logging
index d8e5c95..598b7cb 100755
--- a/scripts/ovirt-config-logging
+++ b/scripts/ovirt-config-logging
@@ -8,7 +8,7 @@
trap '__st=$?; stop_log; exit $__st' 0
trap 'exit $?' 1 2 13 15
-if ! is_local_storage_configured; then
+if ! is_local_storage_configured && ! is_diskless ; then
printf "Local storage must be configured prior to configuring the logging system.\n"
exit 99
fi
diff --git a/scripts/...
2010 Mar 24
2
[PATCH node][REPOST 1/2] Fix uninstall to detect and cleanup correct partitions
Previous implementation had staticly defined partitions to remove.
This would break in the case of split Root and HostVG devices.
Signed-off-by: Mike Burns <mburns at redhat.com>
---
scripts/ovirt-config-boot | 11 +--------
scripts/ovirt-config-uninstall | 48 ++++++++++++++++++++++++---------------
scripts/ovirt-functions | 33 +++++++++++++++++++++++++++
3 files
2010 Feb 23
1
More complete patch...
This patch supercedes the previous one by moving the functionality for
relocating files into the make system.
2009 May 21
1
[PATCH node] display descriptions for all disks
...size=$(hal-get-property --udi "$udi" --key storage.size)
@@ -54,9 +56,11 @@ get_selected_drive_size()
fi
fi
- SPACE=$(echo "scale=0; $size / (1024 * 1024)" | bc -l)
- log "Selected Device: $DRIVE ($SPACE MB) $(basename "$udi")"
- stop_log
+ size=$(echo "scale=0; $size / (1024 * 1024)" | bc -l)
+ echo "$drive ($size MB) $(basename "$udi")"
+ if [ -n "$space_var" ]; then
+ eval $space_var=$size
+ fi
}
check_partition_sizes()
@@ -69,7 +73,7 @@ check_partition_sizes()
f...
2009 Jun 25
1
[PATCH node] Rerunning network config resets all network config. bz#507393
...6 deletions(-)
diff --git a/scripts/ovirt-config-networking b/scripts/ovirt-config-networking
index d29bd12..81f017c 100755
--- a/scripts/ovirt-config-networking
+++ b/scripts/ovirt-config-networking
@@ -16,8 +16,10 @@ WORKDIR=$(mktemp -d) || exit 1
trap '__st=$?; rm -rf "$WORKDIR"; stop_log; exit $__st' 0
trap 'exit $?' 1 2 13 15
-CONFIG_FILE_ROOT="/files/etc/sysconfig/network-scripts/ifcfg"
+IFCONFIG_FILE_ROOT="/files/etc/sysconfig/network-scripts/ifcfg"
+NTPCONF_FILE_ROOT="/files/etc/ntp"
NTP_CONFIG_FILE="/etc/ntp.conf"
+NTPSER...
2010 May 10
1
[PATCH node] RESEND: fix iscsi installation problems
...rmine Root partition"
@@ -228,7 +228,9 @@ fi
rc=$?
if [ $rc -eq 0 -a "$doreboot" = "yes" ]; then
disable_firstboot
- ovirt_store_firstboot_config
+ if [ "$OVIRT_ISCSI_ENABLED" != "y" ]; then
+ ovirt_store_firstboot_config
+ fi
stop_log
reboot
diff --git a/scripts/ovirt-config-networking b/scripts/ovirt-config-networking
index 4d412ac..810d0e0 100755
--- a/scripts/ovirt-config-networking
+++ b/scripts/ovirt-config-networking
@@ -24,10 +24,12 @@ CONFIGURED_NIC=""
VLAN_ID=""
VL_ROOT=""
+if [[...
2011 Aug 11
1
[PATCH] fix augtool calls
parse input augtool strings to oper,key,value
---
scripts/network.py | 32 ++++++++++++++++----------------
1 files changed, 16 insertions(+), 16 deletions(-)
diff --git a/scripts/network.py b/scripts/network.py
index f51ee7c..65b551c 100644
--- a/scripts/network.py
+++ b/scripts/network.py
@@ -165,11 +165,11 @@ class Network:
ntpconf = ntpconf.split("\n")
for line
2010 Mar 11
1
[PATCH] Changes the start/stop/reload method names for sysvinit scripts.
...t b/scripts/ovirt-firstboot
index 7717a50..89a2c2b 100755
--- a/scripts/ovirt-firstboot
+++ b/scripts/ovirt-firstboot
@@ -28,18 +28,18 @@
. /usr/libexec/ovirt-functions
prog=ovirt-firstboot
-lockfile=/var/lock/subsys/$prog
+VAR_SUBSYS_OVIRT_FIRSTBOOT=/var/lock/subsys/$prog
trap '__st=$?; stop_log; exit $__st' 0
trap 'exit $?' 1 2 13 15
-start ()
+start_ovirt_firstboot ()
{
if ! is_firstboot && ! is_auto_install && ! is_upgrade; then
return
fi
-
- touch $lockfile
+
+ touch $VAR_SUBSYS_OVIRT_FIRSTBOOT
# by default in standalone, di...
2010 Feb 24
5
New Storage related patches
This set of patches introduces support for multipath devices for
storage. Comments and suggestions are appreciated.
Mike
2009 Jun 03
1
[PATCH node] Checks if storage is setup before setting the admin password. BZ#509339
...irt-config-password | 7 +++++++
1 files changed, 7 insertions(+), 0 deletions(-)
diff --git a/scripts/ovirt-config-password b/scripts/ovirt-config-password
index 7abfb3b..45b5d8c 100755
--- a/scripts/ovirt-config-password
+++ b/scripts/ovirt-config-password
@@ -8,6 +8,13 @@
trap '__st=$?; stop_log; exit $__st' 0
trap 'exit $?' 1 2 13 15
+warn() { printf '%s\n' "$*" >&2; }
+
+if [[ ! "Config" =~ $(lvdisplay -C | awk '{ print $1 }') ]]; then
+ warn "Local storage must be configured prior to setting the administrator password.&qu...
2009 Jun 12
1
[PATCH node] o-c-config will only run when local storage is configured. rhbz#505560
...pts/ovirt-config-logging | 6 +++++-
1 files changed, 5 insertions(+), 1 deletions(-)
diff --git a/scripts/ovirt-config-logging b/scripts/ovirt-config-logging
index 5da991f..ba661c3 100755
--- a/scripts/ovirt-config-logging
+++ b/scripts/ovirt-config-logging
@@ -8,6 +8,11 @@
trap '__st=$?; stop_log; exit $__st' 0
trap 'exit $?' 1 2 13 15
+if ! is_local_storage_configured; then
+ printf "Local storage must be configured prior to configuring the logging system.\n"
+ exit 99
+fi
+
RSYSLOG_FILE="/etc/rsyslog.conf"
# Creates the rsyslog file based on th...
2009 Jul 07
1
Obsoletes previous patch
This patch obsoletes the previously submitted patch. It adds a
warning message to the user when they select to change the NTP settings.
2009 Dec 10
0
[PATCH node] Enables stateless iscsi remote boot
...o active
+ e2label $candidate_dev RootUpdate
+ fi
rm -rf $tmpdir
if [ "$OVIRT_ISCSI_ENABLED" == "y" ]; then
@@ -253,7 +267,12 @@ if [ $rc -eq 0 -a "$doreboot" = "yes" ]; then
disable_firstboot
ovirt_store_firstboot_config
stop_log
- reboot
+
+ if [ "$OVIRT_ISCSI_ENABLED" != "y" ]; then
+ reboot
+ else
+ /sbin/reboot
+ fi
fi
stop_log
exit $rc
diff --git a/scripts/ovirt-config-storage b/scripts/ovirt-config-storage
index f9a5b41..2ffcaa4 100755
--- a/scripts/ovirt-config-storage...
2010 Apr 09
0
[PATCH node] fix iscsi installation problems
...t_setup "$live" "$bootparams"
rc=$?
if [ $rc -eq 0 -a "$doreboot" = "yes" ]; then
disable_firstboot
- ovirt_store_firstboot_config
+ if [ "$OVIRT_ISCSI_ENABLED" != "y" ]; then
+ ovirt_store_firstboot_config
+ fi
stop_log
reboot
diff --git a/scripts/ovirt-config-networking b/scripts/ovirt-config-networking
index 4d412ac..810d0e0 100755
--- a/scripts/ovirt-config-networking
+++ b/scripts/ovirt-config-networking
@@ -24,10 +24,12 @@ CONFIGURED_NIC=""
VLAN_ID=""
VL_ROOT=""
+if [[...
2009 Oct 23
1
[PATCH node] Add iSCSI initiator setup option
...ew file mode 100755
index 0000000..8e1bbaf
--- /dev/null
+++ b/scripts/ovirt-config-iscsi
@@ -0,0 +1,56 @@
+#!/bin/bash
+#
+# Configures the hostname file based on kernel cmdline or user prompt
+# Source functions library
+. /etc/init.d/functions
+. /etc/init.d/ovirt-functions
+
+trap '__st=$?; stop_log; exit $__st' 0
+trap 'exit $?' 1 2 13 15
+
+warn() { printf '%s\n' "$*" >&2; }
+
+if ! is_local_storage_configured; then
+ warn "Local storage must be configured prior to setting the iSCSI Initiator Name."
+ exit 99
+fi
+
+INITIATOR_FILE="/e...
2009 Jun 18
1
[PATCH node] Users can view log files on the node. bz#506289
...21b462
--- /dev/null
+++ b/scripts/ovirt-config-view-logs
@@ -0,0 +1,37 @@
+#!/bin/bash
+#
+
+. /etc/init.d/ovirt-functions
+
+ME=$(basename "$0")
+warn() { printf '%s: %s\n' "$ME" "$*" >&2; }
+die() { warn "$*"; exit 1; }
+
+trap '__st=$?; stop_log; exit $__st' 0
+trap 'exit $?' 1 2 13 15
+
+RETURN_TO_MENU="Return To Menu"
+
+OPTIONS[${#OPTIONS[*]}]="/var/log/ovirt.log"
+OPTIONS[${#OPTIONS[*]}]="$RETURN_TO_MENU"
+
+while true; do
+ printf "\nPlease select a log file to view.\n\n"
+ PS3...